prometheanfire 14/08/01 04:50:27
Modified: python-keystoneclient-9999.ebuild ChangeLog
Added: python-keystoneclient-0.10.1.ebuild
Removed: python-keystoneclient-0.8.0.ebuild
python-keystoneclient-0.7.1.ebuild
Log:
removing the old and jankey, adding the new hotness
(Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key
0x2471eb3e40ac5ac3)
Revision Changes Path
1.10
dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild?rev=1.10&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild?rev=1.10&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild?r1=1.9&r2=1.10
Index: python-keystoneclient-9999.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- python-keystoneclient-9999.ebuild 6 Jul 2014 12:48:20 -0000 1.9
+++ python-keystoneclient-9999.ebuild 1 Aug 2014 04:50:26 -0000 1.10
@@ -1,11 +1,8 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild,v
1.9 2014/07/06 12:48:20 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-9999.ebuild,v
1.10 2014/08/01 04:50:26 prometheanfire Exp $
EAPI=5
-#restricted due to packages missing and bad depends in the test ==webob-1.0.8
-RESTRICT="test"
-#PYTHON_COMPAT=( python2_5 python2_6 python2_7 )
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1 git-2
@@ -16,41 +13,63 @@
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS=""
-IUSE="test"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- test? ( dev-python/Babel[${PYTHON_USEDEP}]
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/fixtures[${PYTHON_USEDEP}]
- dev-python/keyring[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/mox[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/nose-exclude[${PYTHON_USEDEP}]
- dev-python/nosehtmloutput[${PYTHON_USEDEP}]
- dev-python/openstack-nose-plugin[${PYTHON_USEDEP}]
- =dev-python/pep8-1.4.5[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.6[${PYTHON_USEDEP}]
+ !~dev-python/pbr-0.7[${PYTHON_USEDEP}]
+ <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ >=dev-python/hacking-0.8[${PYTHON_USEDEP}]
+ <dev-python/hacking-0.9[${PYTHON_USEDEP}]
+ >=dev-python/httpretty-0.8.0[${PYTHON_USEDEP}]
+ !~dev-python/httpretty-0.8.1[${PYTHON_USEDEP}]
+ !~dev-python/httpretty-0.8.2[${PYTHON_USEDEP}]
+ >=dev-python/keyring-2.1[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6[${PYTHON_USEDEP}]
+ >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- >=dev-python/testtools-0.9.22[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
- >=dev-python/webob-1.0.8[${PYTHON_USEDEP}] )"
-RDEPEND=">=dev-python/d2to1-0.2.10[${PYTHON_USEDEP}]
- <dev-python/d2to1-0.3[${PYTHON_USEDEP}]
- >=dev-python/iso8601-0.1.4[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/pbr-0.5[${PYTHON_USEDEP}]
- <dev-python/pbr-0.6[${PYTHON_USEDEP}]
- >=dev-python/prettytable-0.6[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.34[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND=">=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
+ >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.6[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-1.2.1[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
<dev-python/prettytable-0.8[${PYTHON_USEDEP}]
- >=dev-python/requests-0.8.8[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]"
+ >=dev-python/requests-1.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-0.14[${PYTHON_USEDEP}]"
PATCHES=(
+ "${FILESDIR}"/sphinx_mapping.patch
)
-# "${FILESDIR}/0.2.3-CVE-2013-2104.patch"
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
python_test() {
- nosetests || die "testsuite failed"
+ # https://bugs.launchpad.net/python-keystoneclient/+bug/1243528
+ testr init
+ testr run || die "testsuite failed under python2.7"
+ flake8 ${PN/python-/}/tests || die "run over tests folder by flake8
drew error"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ use examples && local EXAMPLES=( examples/.)
+ distutils-r1_python_install_all
}
1.33 dev-python/python-keystoneclient/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/ChangeLog?rev=1.33&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/ChangeLog?rev=1.33&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/ChangeLog?r1=1.32&r2=1.33
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/ChangeLog,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -r1.32 -r1.33
--- ChangeLog 6 Jul 2014 12:48:20 -0000 1.32
+++ ChangeLog 1 Aug 2014 04:50:27 -0000 1.33
@@ -1,6 +1,13 @@
# ChangeLog for dev-python/python-keystoneclient
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/ChangeLog,v 1.32
2014/07/06 12:48:20 mgorny Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/ChangeLog,v 1.33
2014/08/01 04:50:27 prometheanfire Exp $
+
+*python-keystoneclient-0.10.1 (01 Aug 2014)
+
+ 01 Aug 2014; Matthew Thode <[email protected]>
+ +python-keystoneclient-0.10.1.ebuild, -python-keystoneclient-0.7.1.ebuild,
+ -python-keystoneclient-0.8.0.ebuild, python-keystoneclient-9999.ebuild:
+ removing the old and jankey, adding the new hotness
06 Jul 2014; Michał Górny <[email protected]>
python-keystoneclient-0.7.1.ebuild, python-keystoneclient-0.8.0.ebuild,
1.1
dev-python/python-keystoneclient/python-keystoneclient-0.10.1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-0.10.1.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-0.10.1.ebuild?rev=1.1&content-type=text/plain
Index: python-keystoneclient-0.10.1.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
/var/cvsroot/gentoo-x86/dev-python/python-keystoneclient/python-keystoneclient-0.10.1.ebuild,v
1.1 2014/08/01 04:50:27 prometheanfire Exp $
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
DESCRIPTION="A client for the OpenStack Keystone API"
HOMEPAGE="https://github.com/openstack/python-keystoneclient"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples test"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/pbr-0.6[${PYTHON_USEDEP}]
!~dev-python/pbr-0.7[${PYTHON_USEDEP}]
<dev-python/pbr-1.0[${PYTHON_USEDEP}]
test? (
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
>=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
>=dev-python/hacking-0.8[${PYTHON_USEDEP}]
<dev-python/hacking-0.9[${PYTHON_USEDEP}]
>=dev-python/httpretty-0.8.0[${PYTHON_USEDEP}]
!~dev-python/httpretty-0.8.1[${PYTHON_USEDEP}]
!~dev-python/httpretty-0.8.2[${PYTHON_USEDEP}]
>=dev-python/keyring-2.1[${PYTHON_USEDEP}]
>=dev-python/mock-1.0[${PYTHON_USEDEP}]
>=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
>=dev-python/oauthlib-0.6[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
>=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
>=dev-python/testtools-0.9.34[${PYTHON_USEDEP}]
>=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
)"
RDEPEND=">=dev-python/Babel-1.3[${PYTHON_USEDEP}]
>=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
>=dev-python/lxml-2.3[${PYTHON_USEDEP}]
>=dev-python/netaddr-0.7.6[${PYTHON_USEDEP}]
>=dev-python/oslo-config-1.2.1[${PYTHON_USEDEP}]
>=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
<dev-python/prettytable-0.8[${PYTHON_USEDEP}]
>=dev-python/requests-1.1[${PYTHON_USEDEP}]
>=dev-python/six-1.7.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-0.14[${PYTHON_USEDEP}]"
PATCHES=(
"${FILESDIR}"/sphinx_mapping.patch
)
python_compile_all() {
use doc && emake -C doc html
}
python_test() {
# https://bugs.launchpad.net/python-keystoneclient/+bug/1243528
testr init
testr run || die "testsuite failed under python2.7"
flake8 ${PN/python-/}/tests || die "run over tests folder by flake8
drew error"
}
python_install_all() {
use doc && local HTML_DOCS=( doc/build/html/. )
use examples && local EXAMPLES=( examples/.)
distutils-r1_python_install_all
}